
Redmine - Feature #10088

API support to bind "parent" on create and update for Issues

2012-01-30 10:56 - Charles Shapiro

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Would like support to be able to bind the parent issue via the REST API.

E.g., on the Post:

  <parent_id>19</parent_id>

 This would bind the created/update issue to Parent issue with id 19.

History

#1 - 2012-01-30 12:11 - Etienne Massip

- Category set to REST API

- Priority changed from High to Normal

#2 - 2012-02-03 09:56 - Charles Shapiro

After researching the source, it looks like the post parameters needs to be changed to:

<parent_issue_id>19</parent_issue_id>

This contradicts how it downloads in xml and also what it's named in the database.

Possibly just a documentation update on the wiki would suffice.

Thanks.

#3 - 2012-02-03 10:00 - Charles Shapiro

- Status changed from New to Resolved

- % Done changed from 0 to 100

wiki updated...closing

#4 - 2012-02-03 10:52 - Etienne Massip

- Category changed from REST API to Documentation

- Status changed from Resolved to Closed

- Resolution set to Fixed

Thanks.
